# eric7.Plugins.VcsPlugins.vcsGit.GitFetchDialog

Module implementing a dialog to enter data for a Fetch operation.

### Global Attributes

None

### Classes

GitFetchDialog | Class implementing a dialog to enter data for a Fetch operation.

### Functions

None

## GitFetchDialog

Class implementing a dialog to enter data for a Fetch operation.

### Derived from

QDialog, Ui_GitFetchDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitFetchDialog | Constructor
__okButtonEnable | Private slot to set the enabled state of the OK button.
__updateButtonEnable | Private slot to set the enabled state of the update button.
getData | Public method to get the entered data.
on_remoteBranchesList_itemSelectionChanged | Private slot to handle a change of selected remote branches.
on_remoteEdit_textChanged | Private slot to handle changes of the URL edit.
on_remotesComboBox_currentTextChanged | Private slot to handle changes of the selected repository.
on_updateButton_clicked | Private slot to update the list of remote branches.

### Static Methods

None

#### GitFetchDialog (Constructor)

GitFetchDialog(vcs, repodir, parent=None)

Constructor

vcs
  reference to the git object
repodir
  directory name of the local repository (string)
parent
  reference to the parent widget (QWidget)

#### GitFetchDialog.__okButtonEnable

__okButtonEnable()

Private slot to set the enabled state of the OK button.

#### GitFetchDialog.__updateButtonEnable

__updateButtonEnable()

Private slot to set the enabled state of the update button.

#### GitFetchDialog.getData

getData()

Public method to get the entered data.

Return:
  tuple of remote name, remote url (for custom remotes), remote branches, local branch, a flag indicating to fetch from all repositories, a flag indicating to remove obsolete tracking references and a flag indicating to fetch tags as well (string, string, list of strings, string, boolean, boolean, boolean)

#### GitFetchDialog.on_remoteBranchesList_itemSelectionChanged

on_remoteBranchesList_itemSelectionChanged()

Private slot to handle a change of selected remote branches.

#### GitFetchDialog.on_remoteEdit_textChanged

on_remoteEdit_textChanged(txt)

Private slot to handle changes of the URL edit.

txt
  current text of the URL edit (string)

#### GitFetchDialog.on_remotesComboBox_currentTextChanged

on_remotesComboBox_currentTextChanged(txt)

Private slot to handle changes of the selected repository.

txt
  current text of the combo box (string)

#### GitFetchDialog.on_updateButton_clicked

on_updateButton_clicked()

Private slot to update the list of remote branches.

Up